Subject: Re: [PATCH 00/24] pack-bitmap: pseudo-merge reachability bitmaps

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Mar 2024 12:50:40 -0700

Taylor Blau <[email-masked]> writes:

> This series implements a new idea in the pack-bitmap machinery called
> "pseudo-merge reachability bitmaps".

When you work on your next series, please describe the feature in a
different order.  Giving name, and then mechanism (from coarse to
detailed), and then finally what it is good for, is a sure way to
discourage people from reading the long description.  What is the
problem, what insight led to a new solution to the problem, and what
the mechansim looks like, is probably an order to keep the reader
engaged better.